.article-preview-card {
  display: flex;
  height: fit-content;
  max-height: 600px;
  width: 800px;

  border-radius: 0.5rem;
  background-color: white;
  box-shadow: 1px 1px 6px 1px white;

  @media screen and (max-width: 900px) {
    flex-direction: column;
    width: auto;
    margin: 1rem;
  }

  .article-preview-image {
    flex: 2;
    width: 200px;
    border-radius: 0.5rem 0 0 0.5rem;
    display: flex;

    @media screen and (max-width: 900px) {
      height: 200px;
      width: 100%;
      border-radius: 0.5rem 0.5rem 0 0;
    }
  }

  .card-content {
    display: flex;
    flex: 3;
    padding: 2rem;
    gap: 1rem;
    box-sizing: border-box;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    @media screen and (max-width: 900px) {
      gap: 1rem;
      padding: 1rem;
    }

    .primary-text {
      font-size: 1.25rem;
      font-weight: 700;
      color: black;

      @media screen and (max-width: 900px) {
        font-size: 1rem;
        text-align: center;
      }
      span {
        color: hsl(277, 64%, 61%);
      }
    }
    .secondary-text {
      font-size: 0.875rem;
      line-height: 1.25rem;
      flex: 1;
      color: gray;
      padding-bottom: 0.5rem;

      @media screen and (max-width: 900px) {
        font-size: 0.875rem;
        line-height: 1.25rem;
        text-align: center;
      }
    }

    .footer {
      display: flex;
      flex: 1;
      width: 100%;
      align-items: center;
      justify-content: space-between;

      @media screen and (max-width: 900px) {
        flex-direction: row;
        gap: 1rem;
      }

      .profile {
        display: flex;
        flex: 1;
        gap: 1rem;

        .avatar {
          width: 50px;
          height: 50px;
          border-radius: 50%;
        }

        .detail {
          font-size: 0.875rem;
          color: black;
          display: flex;
          flex-direction: column;
          justify-content: center;
          font-weight: 700;

          .date {
            color: gray;
            font-weight: 400;
          }
        }
      }

      .share-icon {
        user-select: none;
        padding: 0.5rem;
        border-radius: 50%;
        display: flex;
        position: relative;
        justify-content: center;
        align-items: center;
        background-color: hsl(210, 46%, 95%);
        .share {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 16px;
          height: 16px;
        }
        &:hover {
          cursor: pointer;
          background-color: hsl(217, 19%, 35%);

          img {
            filter: brightness(0) invert(1);
          }
        }
      }
      .open {
        background-color: hsl(217, 19%, 35%);
        img {
          filter: brightness(0) invert(1);
        }
      }
      .social-popup {
        display: flex;
        padding: 0.75rem 1.5rem;
        gap: 0.75rem;
        z-index: 3;
        width: fit-content;
        position: absolute;
        right: -230%;
        top: -150%;
        border-radius: 0.5rem;
        background-color: hsl(217, 19%, 35%);

        @media screen and (max-width: 900px) {
          right: -50%;
        }

        .share-text {
          color: hsl(210, 46%, 95%);
          letter-spacing: 3px;
          font-size: 0.65rem;
        }
        img {
          width: 12px;
          height: 12px;
        }
      }
    }
  }
}
p {
  margin: 0;
}
